﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using MindFusion.Charting.Silverlight;

namespace Sales
{
	public partial class MainPage : UserControl
	{
		
		SalesList sales;

		public MainPage()
		{
			InitializeComponent();

			sales = new SalesList();
			
			InitializeComponent();

            lineChart1.DataSource = sales;
            lineChart1.PlotAreaStroke = new SolidColorBrush(Colors.LightGray);
		

			lineChart1.YAxisSettings.Interval = 100L;
			lineChart1.YAxisSettings.TitleOffset = 10.0;
			lineChart1.YAxisSettings.Title = "USD";            

			lineChart1.XAxisSettings.MaxValue = sales.Count + 1;
			lineChart1.XAxisSettings.Tick = 5.0;
            lineChart1.XAxisSettings.LabelType = LabelType.CustomText;
            lineChart1.XAxisSettings.CustomLabelPosition = CustomLabelPosition.ChartDataPoints;
			
			//first series
			MindFusion.Charting.Silverlight.LineSeries lSeries1 = new MindFusion.Charting.Silverlight.LineSeries();
			lSeries1.YDataPath = "Turnover";
			lSeries1.Title = "Turnover";
			lSeries1.StrokeThickness = 2.0;
            lSeries1.ScatterType = ScatterType.Diamond;
            lSeries1.ScatterSize = 20;
			lSeries1.Strokes.Add(new SolidColorBrush(Colors.Blue));			
			lineChart1.Series.Add(lSeries1);         

            BrushCollection sBrushes1 = new BrushCollection();
            sBrushes1.Add(new SolidColorBrush(Colors.Red));
            sBrushes1.Add(new SolidColorBrush(Colors.Red));
            sBrushes1.Add(new SolidColorBrush(Colors.Yellow));
            sBrushes1.Add(new SolidColorBrush(Colors.Green));

            lSeries1.ScatterFills = sBrushes1;
          
			//second series
			MindFusion.Charting.Silverlight.LineSeries lSeries2 = new MindFusion.Charting.Silverlight.LineSeries();
			lSeries2.YDataPath = "Profit";
			lSeries2.Title = "Profit";
            lSeries2.ScatterType = ScatterType.Diamond;
            lSeries2.ScatterSize = 20;
			lSeries2.Strokes.Add(new SolidColorBrush(Colors.Gray));
			lSeries2.StrokeThickness = 2.0;	         
			lineChart1.Series.Add(lSeries2);

            BrushCollection sBrushes2 = new BrushCollection();
            sBrushes2.Add(new SolidColorBrush(Colors.Green));
            sBrushes2.Add(new SolidColorBrush(Colors.Red));
            sBrushes2.Add(new SolidColorBrush(Colors.Yellow));
            sBrushes2.Add(new SolidColorBrush(Colors.Green));

            lSeries2.ScatterFills = sBrushes2;

            //set X-data values for both series.
            for (int i = 0; i < sales.Count; i++)
            {
                lSeries1.XData.Add(i + 1);
                lSeries2.XData.Add(i + 1);
            }

			MindFusion.Charting.Silverlight.SeriesLegend legend = 
                new MindFusion.Charting.Silverlight.SeriesLegend();
            legend.LabelsSource = new List<string>() { "Higher than expected", "Lower than expected", "Meets expectations"};
            legend.BorderBrush = new SolidColorBrush(Colors.LightGray);
            LayoutPanel.SetDock(legend, Dock.Bottom);
            legend.HorizontalAlignment = System.Windows.HorizontalAlignment.Center;

            BrushCollection brushes = new BrushCollection();
            brushes.Add(new SolidColorBrush(Colors.Green));
            brushes.Add(new SolidColorBrush(Colors.Red));
            brushes.Add(new SolidColorBrush(Colors.Yellow));
            legend.BrushesSource = brushes;
            lineChart1.Legends.Add(legend);
           

            BrushCollection sBrushes = new BrushCollection();
            sBrushes.Add(new SolidColorBrush(Colors.Blue));
            sBrushes.Add(new SolidColorBrush(Colors.Gray)); 

            MindFusion.Charting.Silverlight.SeriesLegend sLegend =
                new MindFusion.Charting.Silverlight.SeriesLegend();
            sLegend.LabelsSource = new List<string>() { "Palmeo LLC", "InteliLabs Ltd." };
            sLegend.BorderBrush = new SolidColorBrush(Colors.LightGray);
            LayoutPanel.SetDock(sLegend, Dock.Right);
            sLegend.VerticalAlignment = System.Windows.VerticalAlignment.Top;
            sLegend.BrushesSource = sBrushes;  
            lineChart1.Legends.Add(sLegend);          
          
       
		}
	
	}
}
